[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [cross-project-issues-dev] Heads up ... org.junit4 is gone from M6

David,

 

this indeed came at the right time, I just stumbled over that…

 

Unfortunatly I was not yet able to resolve that. The reason is that we (Graphiti) use SWTBot for our UI tests, and SWTBot test infrastructure has a dependency on org.junit4 (we use it via our GEF tests but as it part of the swtbot.eclipse dependencies this should also affect planin Eclipse UI tests):

Org.eclipse.swtbot.eclipse.gef

                Org.eclipse.swtbot.eclipse

                               Org.eclipse.swtbot.go

                                               Org.junit4

 

Is anybody else having this issue? Do I overlook anything, especially how to resolve this?

 

Thanks,

Michael

 

 

From: cross-project-issues-dev-bounces@xxxxxxxxxxx [mailto:cross-project-issues-dev-bounces@xxxxxxxxxxx] On Behalf Of David M Williams
Sent: Donnerstag, 7. März 2013 22:07
To: cross-project-issues-dev@xxxxxxxxxxx
Subject: [cross-project-issues-dev] Heads up ... org.junit4 is gone from M6

 

Now that I've seen two projects have this problem ... thought it deserved mention to all, slightly ahead of time, that the "old" org.junit4 bundle was a quick trick to allow/transition to having org.junit version 3 and org.junit version 4 in the same stack (several releases ago), but, that's now been removed for Kepler, and only the official org.junit version 4 bundle is being included in the platform. Any fixes needed should be easy ... just change the name of any "require bundle" (in MANIFEST or feature.xml to org.junit and everything should still work as before.

Hope this short notice helps some of you (at least EMF Facet project :)